<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myInvoiceLabel" jhiTranslate="mpmApp.invoice.home.createOrEditLabel">Create or edit a Invoice</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!invoice.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="invoice.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.idinv" for="field_idinv">Idinv</label>
            <input type="number" class="form-control" name="idinv" id="field_idinv"
                [(ngModel)]="invoice.idinv"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.invno" for="field_invno">Invno</label>
            <input type="text" class="form-control" name="invno" id="field_invno"
                [(ngModel)]="invoice.invno"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.taxinvno" for="field_taxinvno">Taxinvno</label>
            <input type="text" class="form-control" name="taxinvno" id="field_taxinvno"
                [(ngModel)]="invoice.taxinvno"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.invfrom" for="field_invfrom">Invfrom</label>
            <input type="text" class="form-control" name="invfrom" id="field_invfrom"
                [(ngModel)]="invoice.invfrom"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.total" for="field_total">Total</label>
            <input type="number" class="form-control" name="total" id="field_total"
                [(ngModel)]="invoice.total"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.isdic" for="field_isdic">Isdic</label>
            <input type="number" class="form-control" name="isdic" id="field_isdic"
                [(ngModel)]="invoice.isdic"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.disc" for="field_disc">Disc</label>
            <input type="number" class="form-control" name="disc" id="field_disc"
                [(ngModel)]="invoice.disc"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.discpercent" for="field_discpercent">Discpercent</label>
            <input type="number" class="form-control" name="discpercent" id="field_discpercent"
                [(ngModel)]="invoice.discpercent"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.subtotal" for="field_subtotal">Subtotal</label>
            <input type="number" class="form-control" name="subtotal" id="field_subtotal"
                [(ngModel)]="invoice.subtotal"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.ppn" for="field_ppn">Ppn</label>
            <input type="number" class="form-control" name="ppn" id="field_ppn"
                [(ngModel)]="invoice.ppn"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.grandtotal" for="field_grandtotal">Grandtotal</label>
            <input type="number" class="form-control" name="grandtotal" id="field_grandtotal"
                [(ngModel)]="invoice.grandtotal"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.dtinv" for="field_dtinv">Dtinv</label>
            <div class="d-flex">
                <input id="field_dtinv" type="datetime-local" class="form-control" name="dtinv" [(ngModel)]="invoice.dtinv"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.dtcreate" for="field_dtcreate">Dtcreate</label>
            <div class="d-flex">
                <input id="field_dtcreate" type="datetime-local" class="form-control" name="dtcreate" [(ngModel)]="invoice.dtcreate"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.createby" for="field_createby">Createby</label>
            <input type="text" class="form-control" name="createby" id="field_createby"
                [(ngModel)]="invoice.createby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.dtmodified" for="field_dtmodified">Dtmodified</label>
            <div class="d-flex">
                <input id="field_dtmodified" type="datetime-local" class="form-control" name="dtmodified" [(ngModel)]="invoice.dtmodified"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.modifiedby" for="field_modifiedby">Modifiedby</label>
            <input type="text" class="form-control" name="modifiedby" id="field_modifiedby"
                [(ngModel)]="invoice.modifiedby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.invto" for="field_invto">Invto</label>
            <input type="text" class="form-control" name="invto" id="field_invto"
                [(ngModel)]="invoice.invto"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoice.note" for="field_note">Note</label>
            <input type="text" class="form-control" name="note" id="field_note"
                [(ngModel)]="invoice.note"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
